cURL
curl --request GET \
--url https://api.maesn.dev/accounting/openItems \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/openItems"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/openItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "8df2df10-0fae-40ad-9d22-f25e5ab0ba23",
"accountId": "10fae-40ad-9d2df2df10-9d22-f44f5ab3eu",
"accountName": "Vendor ABC",
"accountNumber": "100100000",
"createdDate": "2025-06-01T00:00:00Z",
"currency": "EUR",
"documentNumber": "INV-1",
"entries": [
{
"amount": 1000,
"currency": "EUR",
"debitCreditIndicator": "DEBIT",
"description": "Hotel stay",
"dueDate": "2025-06-21T00:00:00Z",
"postingDate": "2025-06-01T00:00:00Z"
}
],
"openBalance": {
"amount": 1000,
"debitCreditIndicator": "DEBIT"
},
"postingDate": "2025-06-01T00:00:00Z",
"totalCreditAmount": 0,
"totalDebitAmount": 1000,
"type": "BILL",
"updatedDate": "2025-06-12T00:00:00Z"
}
]
}Open Items
Get open items
GET
/
accounting
/
openItems
cURL
Field support per integration

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
string
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
string
number
number
enum
Available options:
BILL, INVOICE
Business Central
Business Central
Make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
string
boolean
string
string
string
string
string
number
number
enum
Available options:
BILL, INVOICEstring

Snelstart
Snelstart
Query parameters:
Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
Show object
Show object
string
Filter by last modified date.
For date format details visit the Standardized Data section
For date format details visit the Standardized Data section
enum
Filter by type. If omitted, both sales and purchase invoices are returned.
Example:
Example:
type=INVOICEboolean
string
string
OpenItemEntry[]
string
number
number
enum
Available options:
BILL, INVOICEstring
Query Parameters
Available options:
5, 10, 20, 50, 100 Available options:
BILL, INVOICE Last modified on September 10, 2026
Was this page helpful?